Holger's Java API

## com.antelmann.cddb
Class CDDBProtocolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.cddb.CDDBProtocolException

All Implemented Interfaces:
  Serializable

    public class CDDBProtocolException

extends Exception

CDDBProtocolException is thrown when the response from a CDDB source did not comply to the expected protocol.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`CDDBProtocolException()`
`CDDBProtocolException(String message)`
`CDDBProtocolException(String message, String protocol, String query, String result, Throwable cause)`
`CDDBProtocolException(String message, Throwable cause)`
`CDDBProtocolException(Throwable cause)`

Method Summary
`String` `getProtocol()` returns information about the protocol used (URL, port, POST/GET-method if applicable)
`String` `getQuery()` returns the query sent to the server
`String` `getResult()` returns the result received from the server - if available
`void` `initProtocol(String protocol)`
`void` `initQuery(String query)`
`void` `initResult(String result)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDDBProtocolException

    public CDDBProtocolException()

### CDDBProtocolException

    public CDDBProtocolException(String message)

### CDDBProtocolException

    public CDDBProtocolException(Throwable cause)

### CDDBProtocolException

    public CDDBProtocolException(String message,
                                 Throwable cause)

### CDDBProtocolException

    public CDDBProtocolException(String message,
                                 String protocol,
                                 String query,
                                 String result,
                                 Throwable cause)

Method Detail

### initProtocol

    public void initProtocol(String protocol)

### initQuery

    public void initQuery(String query)

### initResult

    public void initResult(String result)

### getProtocol

    public String getProtocol()

  returns information about the protocol used (URL, port, POST/GET-method if applicable)

### getQuery

    public String getQuery()

  returns the query sent to the server

### getResult

    public String getResult()

  returns the result received from the server - if available

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads